<?php
/**
 * @file
 * Hooks provided by the Rasalas module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Control access to a Rasalas script.
 *
 * Modules may implement this hook if they want to disable script for some
 * reasons.
 *
 * @return bool|null
 *   - RASALAS_ACCESS_ALLOW: If script is allowed.
 *   - RASALAS_ACCESS_DENY: If script is disabled.
 *   - RASALAS_ACCESS_IGNORE: If script check is ignored.
 *
 * @ingroup node_access
 */
function hook_rasalas_access()
{
    // Disable for frontpage.
    return current_path() == '<front>' ? RASALAS_ACCESS_DENY : RASALAS_ACCESS_ALLOW;
}

/**
 * Alter results of Rasalas access check results.
 */
function hook_rasalas_access_alter(&$results)
{
    // Force disable for frontpage.
    $results['my_module_check'] = current_path() == '<front>' ? RASALAS_ACCESS_DENY : RASALAS_ACCESS_ALLOW;
}

/**
 * @} End of "addtogroup hooks".
 */
